IndexTask.HandlerConfig (Lucene 2.4.1 API)
Keywords: org.apache.lucene.ant.IndexTask.HandlerConfig class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.ant
Class IndexTask.HandlerConfig

    java.lang.Object
      org.apache.lucene.ant.IndexTask.HandlerConfig

All Implemented Interfaces:
  org.apache.tools.ant.DynamicAttribute, org.apache.tools.ant.DynamicConfigurator, org.apache.tools.ant.DynamicElement

Enclosing class:
  IndexTask

    public static class IndexTask.HandlerConfig

extends Object
implements org.apache.tools.ant.DynamicConfigurator

Constructor Summary
`IndexTask.HandlerConfig()`

Method Summary
`Object` | `createDynamicElement(String elementName)`
`Properties` | `getProperties()`
`void` | `setDynamicAttribute(String attributeName, String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexTask.HandlerConfig

    public IndexTask.HandlerConfig()

Method Detail

### setDynamicAttribute

    public void setDynamicAttribute(String attributeName,
                                    String value)
                             throws org.apache.tools.ant.BuildException

  Specified by:
    `setDynamicAttribute` in interface `org.apache.tools.ant.DynamicAttribute`
  Throws:
    `org.apache.tools.ant.BuildException`

### createDynamicElement

    public Object createDynamicElement(String elementName)
                                throws org.apache.tools.ant.BuildException

  Specified by:
    `createDynamicElement` in interface `org.apache.tools.ant.DynamicElement`
  Throws:
    `org.apache.tools.ant.BuildException`

### getProperties

    public Properties getProperties()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.